<?php

include 'conexion.php';
$opc=$_GET['opc'];
$filtro=$_GET['filtro'];

if($opc == "si"){
   $opc=" WHERE id_compra<>0 ";
}else{
    $opc="WHERE 1=1";
}

if(!empty($filtro)){
    $filtro = "AND compra.id_compra like '%".$filtro."%' OR compra.nombre like '%".$filtro."%' OR compra.descripcion like '%".$filtro."%'";
}

$consulta = "SELECT `id_compra`,`nombre`,`descripcion`,FORMAT(`valor_total`,0) as valor_total, date(`fecha`) as Fecha,`fk_dependencia`,fk_id_tip_cate,nom_pdf FROM compra $opc $filtro ORDER BY `fecha` DESC";
$resultado = $conexion->query($consulta);

if(!$resultado){
    echo "Hay un error en la consulta";
}

while($fila = $resultado -> fetch_array()){
    $compra[] = array_map('utf8_encode', $fila);
}

echo json_encode($compra);
$resultado -> close();

?>